<?php
get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">

            <section class="error-404 not-found">
                <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'root-lite' ); ?></h1>

                <div class="page-content">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'root-lite' ); ?></p>
                    <h3><?php esc_html_e( 'What can be done?', 'root-lite' ); ?></h3>
                    <ul>
                        <li><?php esc_html_e( 'Try to use search', 'root-lite' ) ?></li>
                        <?php /* translators: %1$s: href */ ?>
                        <li><?php printf( __( 'Go to <a href="%1$s">Homepage</a>.', 'root-lite' ), esc_url( home_url( '/' ) ) ) ?></li>
                    </ul>

                    <?php get_template_part( 'template-parts/related', 'posts' ) ?>
            </section><!-- .error-404 -->

        </main><!-- #main -->
    </div><!-- #primary -->

<?php
get_sidebar();
get_footer();
