<?php



$root_fonts = array(
    'arial'             => array(
        'name'          => 'Arial',
        'url'           => '',
        'family'        => 'Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'roboto'            => array(
        'name'          => 'Roboto',
        'url'           => 'https://fonts.googleapis.com/css?family=Roboto:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Roboto", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'roboto_condensed'  => array(
        'name'          => 'Roboto Condensed',
        'url'           => 'https://fonts.googleapis.com/css?family=Roboto+Condensed:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Roboto Condensed", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'roboto_slab'       => array(
        'name'          => 'Roboto Slab',
        'url'           => 'https://fonts.googleapis.com/css?family=Roboto+Slab:400,700&amp;subset=cyrillic',
        'family'        => '"Roboto Slab", "Times New Roman", Times, Baskerville, Georgia, serif',
    ),
    'pt_sans'           => array(
        'name'          => 'PT Sans',
        'url'           => 'https://fonts.googleapis.com/css?family=PT+Sans:400,400i,700&amp;subset=cyrillic',
        'family'        => '"PT Sans", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'pt_serif'          => array(
        'name'          => 'PT Serif',
        'url'           => 'https://fonts.googleapis.com/css?family=PT+Serif:400,400i,700&amp;subset=cyrillic',
        'family'        => '"PT Serif", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'open_sans'         => array(
        'name'          => 'Open Sans',
        'url'           => 'https://fonts.googleapis.com/css?family=Open+Sans:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Open Sans", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'open_sans_condensed'=> array(
        'name'          => 'Open Sans Condensed',
        'url'           => 'https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,700&amp;subset=cyrillic',
        'family'        => '"Open Sans Condensed", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'ubuntu'            => array(
        'name'          => 'Ubuntu',
        'url'           => 'https://fonts.googleapis.com/css?family=Ubuntu:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Ubuntu", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'ubuntu_condensed'  => array(
        'name'          => 'Ubuntu Condensed',
        'url'           => 'https://fonts.googleapis.com/css?family=Ubuntu+Condensed&amp;subset=cyrillic',
        'family'        => '"Ubuntu Condensed", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'exo_2'             => array(
        'name'          => 'Exo 2',
        'url'           => 'https://fonts.googleapis.com/css?family=Exo+2:300,400,400i,700,900&amp;subset=cyrillic',
        'family'        => '"Exo 2", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'tinos'             => array(
        'name'          => 'Tinos',
        'url'           => 'https://fonts.googleapis.com/css?family=Tinos:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Tinos", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'fira_sanscondensed'=> array(
        'name'          => 'Fira Sans Condensed',
        'url'           => 'https://fonts.googleapis.com/css?family=Fira+Sans+Condensed:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Fira Sans Condensed", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'merriweather'      => array(
        'name'          => 'Merriweather',
        'url'           => 'https://fonts.googleapis.com/css?family=Merriweather:400,400i,700&amp;subset=cyrillic',
        'family'        => '"Merriweather", "Times New Roman", Times, Baskerville, Georgia, serif',
    ),
    'oswald'            => array(
        'name'          => 'Oswald',
        'url'           => 'https://fonts.googleapis.com/css?family=Oswald:300,400,700&amp;subset=cyrillic',
        'family'        => '"Oswald", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'lora'              => array(
        'name'          => 'Lora',
        'url'           => 'https://fonts.googleapis.com/css?family=Lora:400,400i,700,700i&amp;subset=cyrillic',
        'family'        => '"Lora", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'lobster'           => array(
        'name'          => 'Lobster',
        'url'           => 'https://fonts.googleapis.com/css?family=Lobster&amp;subset=cyrillic',
        'family'        => '"Lobster", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'yanone_kaffeesatz' => array(
        'name'          => 'Yanone Kaffeesatz',
        'url'           => 'https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:300,400,700&amp;subset=cyrillic',
        'family'        => '"Yanone Kaffeesatz", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'bad_script'        => array(
        'name'          => 'Bad Script',
        'url'           => 'https://fonts.googleapis.com/css?family=Bad+Script&amp;subset=cyrillic',
        'family'        => '"Bad Script", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
    'kurale'            => array(
        'name'          => 'Kurale',
        'url'           => 'https://fonts.googleapis.com/css?family=Kurale&amp;subset=cyrillic',
        'family'        => '"Kurale", Arial, "Helvetica Neue", Helvetica, Arial, sans-serif',
    ),
);



/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function root_customize_register( $wp_customize ) {


    $defaults = root_options_defaults();



    $sidebar_position = array(
        'right' => __( 'Right', 'root-lite' ),
        'left'  => __( 'Left', 'root-lite' ),
        'none'  => __( 'Do not show', 'root-lite' ),
    );


    /********************************************************************
     * ЦВЕТА
     *******************************************************************/

    $wp_customize->get_setting( 'background_color' )->default = '#f9f8f5';


    // Основной цвет сайта
    $wp_customize->add_setting( 'root_options[color_main]', array(
        'default'           => $defaults['color_main'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_main]', array(
            'settings'   => 'root_options[color_main]',
            'section'    => 'colors',
            'label'      => __('The main color of the site', 'root-lite'),
            'description'=> __('Separators, pagination, lists, buttons, mob. menu, etc. Color is desirable to pick up stands out on a white background', 'root-lite'),
        )
    ));


    // Основной цвет ссылок
    $wp_customize->add_setting( 'root_options[color_link]', array(
        'default'           => $defaults['color_link'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_link]', array(
            'settings'   => 'root_options[color_link]',
            'label'      => __('Link color', 'root-lite'),
            'section'    => 'colors',
        )
    ));


    // Основной цвет ссылок при наведении
    $wp_customize->add_setting( 'root_options[color_link_hover]', array(
        'default'           => $defaults['color_link_hover'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_link_hover]', array(
            'settings'      => 'root_options[color_link_hover]',
            'label'         => __('Link hover color', 'root-lite'),
            'section'       => 'colors',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    ));


    // Основной цвет текста
    $wp_customize->add_setting( 'root_options[color_text]', array(
        'default'           => $defaults['color_text'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_text]', array(
            'settings'      => 'root_options[color_text]',
            'label'         => __('Main text color', 'root-lite'),
            'section'       => 'colors',
        )
    ));

    // Цвет названия сайта
    $wp_customize->add_setting( 'root_options[color_logo]', array(
        'default'           => $defaults['color_logo'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_logo]', array(
            'settings'      => 'root_options[color_logo]',
            'label'         => __('Site title color', 'root-lite' ),
            'section'       => 'colors',
        )
    ));

    // Фоновый цвет меню
    $wp_customize->add_setting( 'root_options[color_menu_bg]', array(
        'default'           => $defaults['color_menu_bg'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_menu_bg]', array(
            'settings'      => 'root_options[color_menu_bg]',
            'label'         => __('Background color of the menu', 'root-lite' ),
            'section'       => 'colors',
        )
    ));

    // Цвет ссылок в меню
    $wp_customize->add_setting( 'root_options[color_menu]', array(
        'default'           => $defaults['color_menu'],
        'type'              => 'option',
        'sanitize_callback' => 'sanitize_hex_color',
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'root_options[color_menu]', array(
            'settings'      => 'root_options[color_menu]',
            'label'         => __('Color of links in the menu', 'root-lite' ),
            'section'       => 'colors',
        )
    ));


    /********************************************************************
     * Типографика
     *******************************************************************/
    $wp_customize->add_section( 'root_typography', array(
        'title'             => __('Typography', 'root-lite' ),
        'description'       => __('In this section you can customize the fonts on the site', 'root-lite' ),
        'capability'        => 'edit_theme_options',
        'priority'          => 14,

    ));

    global $root_fonts;
    $fonts_list = array();
    foreach ( $root_fonts as $key => $val ) {
        $fonts_list[$key] = $val['name'];
    }


    // Основной шрифт
    $wp_customize->add_setting( 'root_options[typography_family]', array(
        'default'           => $defaults['typography_family'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices',
    ));
    $wp_customize->add_control( 'root_options[typography_family]', array(
        'settings'          => 'root_options[typography_family]',
        'section'           => 'root_typography',
        'label'             => __('Primary font', 'root-lite' ),
        'type'              => 'select',
        'choices'           => $fonts_list,
    ));


    // Основной размер шрифта
    $wp_customize->add_setting( 'root_options[typography_font_size]', array(
        'default'           => $defaults['typography_font_size'],
        'type'              => 'option',
        'sanitize_callback' => 'absint',
    ));
    $wp_customize->add_control( 'root_options[typography_font_size]', array(
        'settings'          => 'root_options[typography_font_size]',
        'section'           => 'root_typography',
        'label'             => __('Size, px', 'root-lite' ),
        'type'              => 'number',
        /* translators: %s: size */
        'description'       => sprintf( esc_html__( 'Default %s', 'root-lite' ), '16' ),
        'input_attrs'       => array(
            'min'           => 10,
            'max'           => 36,
            'step'          => 1
        )
    ));


    // Межстрочный интервал
    $wp_customize->add_setting( 'root_options[typography_line_height]', array(
        'default'           => $defaults['typography_line_height'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_typography_line_height',
    ));
    $wp_customize->add_control( 'root_options[typography_line_height]', array(
        'settings'          => 'root_options[typography_line_height]',
        'section'           => 'root_typography',
        'label'             => __( 'Interline', 'root-lite' ),
        'type'              => 'number',
        /* translators: %s: line height */
        'description'       => sprintf( esc_html__( 'Default %s', 'root-lite' ), '1.5' ),
        'input_attrs'       => array(
            'min'           => 0.5,
            'max'           => 3,
            'step'          => 0.1
        )
    ));


    // Шрифт заголовков
    $wp_customize->add_setting( 'root_options[typography_headers_family]', array(
        'default'           => $defaults['typography_headers_family'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices',
    ));
    $wp_customize->add_control( 'root_options[typography_headers_family]', array(
        'settings'          => 'root_options[typography_headers_family]',
        'section'           => 'root_typography',
        'label'             => __('Font headings', 'root-lite' ),
        'type'              => 'select',
        'choices'           => $fonts_list,
    ));


    /********************************************************************
     * Блоки и расположение
     *******************************************************************/

    $wp_customize->add_panel( 'panel_structure', array(
        'priority'       => 12,
        'capability'     => 'edit_theme_options',
        'title'          => __('Blocks', 'root-lite' ),
        'type'           => 'default',
    ) );





    /********************************************************************
     * Шапка
     */
    $wp_customize->add_section( 'root_structure_header', array(
        'title'             => __('Header', 'root-lite' ),
        'description'       => __('In this section you can customize the site header elements', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ));

    // logo
	$wp_customize->add_setting( 'root_options[logotype_image]', array(
		'default'           => $defaults['logotype_image'],
		'type'              => 'option',
		'sanitize_callback' => 'root_setting',
	) );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
		'root_options[logotype_image]', array(
			'settings'      => 'root_options[logotype_image]',
			'label'         => __( 'Logotype', 'root-lite' ),
			'section'       => 'root_structure_header',
		)
	) );

    // Скрыть заголовок и описание в шапке?
    $wp_customize->add_setting( 'root_options[header_hide_title]', array(
        'default'           => 'no',
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices',
    ));
    $wp_customize->add_control('root_options[header_hide_title]', array(
        'settings'          => 'root_options[header_hide_title]',
        'label'             => __('Hide site title and description?', 'root-lite' ),
        'description'       => '',
        'section'           => 'root_structure_header',
        'type'              => 'radio',
        'choices'           => array(
            'no'            => __('Do not hide', 'root-lite' ),
            'yes'           => __('Hide', 'root-lite' ),
        ),
    ));





    /********************************************************************
     * Подвал
     */
    $wp_customize->add_section( 'root_structure_footer', array(
        'title'             => __('Footer', 'root-lite' ),
        'description'       => __('In this section, you can customize the look and texts of the footer, add counters', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ));


    // копирайт
    $wp_customize->add_setting( 'root_options[footer_copyright]', array(
        'default'           => $defaults['footer_copyright'],
        'type'              => 'option',
        'sanitize_callback' => 'root_setting',
    ));
    $wp_customize->add_control( 'root_options[footer_copyright]', array(
        'settings'          => 'root_options[footer_copyright]',
        'section'           => 'root_structure_footer',
        'label'             => __('Copyright', 'root-lite' ),
        'description'       => __('Use% year% to add the current year', 'root-lite' ),
    ));


    // Текст под копирайтом
    $wp_customize->add_setting( 'root_options[footer_text]', array(
        'default'           => $defaults['footer_text'],
        'type'              => 'option',
        'sanitize_callback' => 'root_setting',
    ));
    $wp_customize->add_control('root_options[footer_text]', array(
        'settings'          => 'root_options[footer_text]',
        'label'             => __('Text under copyright', 'root-lite' ),
        'section'           => 'root_structure_footer',
        'type'              => 'textarea',
        'description'       => 'Например, &lt;a href="#"&gt;Карта сайта&lt;/a&gt;',
    ));


    // счетчики
    $wp_customize->add_setting( 'root_options[footer_counters]', array(
        'default'           => $defaults['footer_counters'],
        'type'              => 'option',
        'sanitize_callback' => 'root_setting',
    ));
    $wp_customize->add_control('root_options[footer_counters]', array(
        'settings'          => 'root_options[footer_counters]',
        'label'             => __('Counters', 'root-lite' ),
        'section'           => 'root_structure_footer',
        'type'              => 'textarea',
    ));


    // blocks  >  home
    $wp_customize->add_section( 'root_structure_home', array(
        'title'             => __( 'Home', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ) );

    $wp_customize->add_setting( 'root_options[structure_home_sidebar]', array(
        'default'           => $defaults['structure_home_sidebar'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices'
    ) );
    $wp_customize->add_control( 'root_options[structure_home_sidebar]', array(
        'settings'          => 'root_options[structure_home_sidebar]',
        'label'             => __( 'Sidebar', 'root-lite' ),
        'section'           => 'root_structure_home',
        'type'              => 'radio',
        'choices'           => $sidebar_position,
    ) );


    // block  >  single
    $wp_customize->add_section( 'root_structure_single', array(
        'title'             => __( 'Single', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ) );

    $wp_customize->add_setting( 'root_options[structure_single_sidebar]', array(
        'default'           => $defaults['structure_single_sidebar'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices'
    ) );
    $wp_customize->add_control( 'root_options[structure_single_sidebar]', array(
        'settings'          => 'root_options[structure_single_sidebar]',
        'section'           => 'root_structure_single',
        'label'             => __( 'Sidebar', 'root-lite' ),
        'type'              => 'radio',
        'choices'           => $sidebar_position,
    ) );

    $wp_customize->add_setting( 'root_options[structure_single_thumb]', array(
        'default'           => $defaults['structure_single_thumb'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices'
    ) );
    $wp_customize->add_control( 'root_options[structure_single_thumb]', array(
        'settings'          => 'root_options[structure_single_thumb]',
        'section'           => 'root_structure_single',
        'label'             => __( 'Show thumbnail?', 'root-lite' ),
        'type'              => 'radio',
        'description'       => __( 'Post thumbnail', 'root-lite' ),
        'choices'           => array(
            'yes'           => __( 'Yes, output', 'root-lite' ),
            'no'            => __( 'No, do not output', 'root-lite' ),
        ),
    ) );

    $wp_customize->add_setting( 'root_options[structure_single_excerpt]', array(
        'default'           => $defaults['structure_single_excerpt'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices'
    ) );
    $wp_customize->add_control( 'root_options[structure_single_excerpt]', array(
        'settings'          => 'root_options[structure_single_excerpt]',
        'section'           => 'root_structure_single',
        'label'             => __( 'Show excerpt?', 'root-lite' ),
        'type'              => 'radio',
        'choices'           => array(
            'yes'           => __( 'Yes, output', 'root-lite' ),
            'no'            => __( 'No, do not output', 'root-lite' ),
        ),
    ) );

    $wp_customize->add_setting( 'root_options[structure_single_tags]', array(
        'default'           => $defaults['structure_single_tags'],
        'type'              => 'option',
        'sanitize_callback' => 'root_sanitize_choices'
    ) );
    $wp_customize->add_control( 'root_options[structure_single_tags]', array(
        'settings'          => 'root_options[structure_single_tags]',
        'section'           => 'root_structure_single',
        'label'             => __( 'Show tags if they are set?', 'root-lite' ),
        'type'              => 'radio',
        'choices'           => array(
            'yes'           => __( 'Yes, output', 'root-lite' ),
            'no'            => __( 'No, do not output', 'root-lite' ),
        ),
    ) );


    // blocks  >  page
    $wp_customize->add_section( 'root_structure_page', array(
        'title'             => __( 'Page', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ) );

    $wp_customize->add_setting( 'root_options[structure_page_sidebar]', array(
        'default'           => $defaults['structure_page_sidebar'],
        'type'              => 'option',
        'sanitize_callback' => 'root_setting',
    ) );
    $wp_customize->add_control( 'root_options[structure_page_sidebar]', array(
        'settings'          => 'root_options[structure_page_sidebar]',
        'section'           => 'root_structure_page',
        'label'             => __( 'Sidebar', 'root-lite' ),
        'type'              => 'radio',
        'choices'           => $sidebar_position,
    ) );


    // blocks  >  archive
    $wp_customize->add_section( 'root_structure_archive', array(
        'title'             => __( 'Archive', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ) );

    $wp_customize->add_setting( 'root_options[structure_archive_sidebar]', array(
        'default'           => $defaults['structure_archive_sidebar'],
        'type'              => 'option',
        'sanitize_callback' => 'root_setting',
    ) );
    $wp_customize->add_control( 'root_options[structure_archive_sidebar]', array(
        'settings'          => 'root_options[structure_archive_sidebar]',
        'section'           => 'root_structure_archive',
        'label'             => __( 'Sidebar', 'root-lite' ),
        'type'              => 'radio',
        'choices'           => $sidebar_position,
    ) );


    // blocks  >  related
    $wp_customize->add_section( 'root_structure_related', array(
        'title'             => __( 'Related posts', 'root-lite' ),
        'panel'             => 'panel_structure',
        'capability'        => 'edit_theme_options',
    ) );

	$wp_customize->add_setting( 'root_options[posts_related_show_thumbnail]', array(
		'default' => $defaults['posts_related_show_thumbnail'],
		'type'    => 'option',
	) );
	$wp_customize->add_control( 'root_options[posts_related_show_thumbnail]', array(
		'settings'    => 'root_options[posts_related_show_thumbnail]',
		'section'     => 'root_structure_related',
		'label'       => __( 'Show the thumbnail?', 'root-lite' ),
		'type'        => 'radio',
		'choices'     => array(
			'yes' => __( 'Yes, output', 'root-lite' ),
			'no'  => __( 'No, do not output', 'root-lite' ),
		),
	) );

	$wp_customize->add_setting( 'root_options[posts_related_show_excerpt]', array(
		'default' => $defaults['posts_related_show_excerpt'],
		'type'    => 'option',
	) );
	$wp_customize->add_control( 'root_options[posts_related_show_excerpt]', array(
		'settings' => 'root_options[posts_related_show_excerpt]',
		'section'  => 'root_structure_related',
		'label'    => __( 'Show excerpt?', 'root-lite' ),
		'type'     => 'radio',
		'choices'  => array(
			'yes' => __( 'Yes, output', 'root-lite' ),
			'no'  => __( 'No, do not output', 'root-lite' ),
		),
	) );


	// codes
	$wp_customize->add_section( 'root_code', array(
		'title'      => __( 'Codes', 'root-lite' ),
		'capability' => 'edit_theme_options',
		'priority'   => 14,
	) );

	$wp_customize->add_setting( 'root_options[code_head]', array(
		'default' => $defaults['code_head'],
		'type'    => 'option',
	) );
	$wp_customize->add_control( 'root_options[code_head]', array(
		'settings'    => 'root_options[code_head]',
		'section'     => 'root_code',
		'label'       => __( 'In &lt;head&gt; section', 'root-lite' ),
		'description' => __( 'Before &lt;/head&gt; tag', 'root-lite' ),
		'type'        => 'textarea',
	) );

	$wp_customize->add_setting( 'root_options[code_body]', array(
		'default' => $defaults['code_body'],
		'type'    => 'option',
	) );
	$wp_customize->add_control( 'root_options[code_body]', array(
		'settings' => 'root_options[code_body]',
		'section'  => 'root_code',
		'label'    => __( 'Before &lt;/body&gt;', 'root-lite' ),
		'type'     => 'textarea',
	) );

	$wp_customize->add_setting( 'root_options[code_after_content]', array(
		'default' => $defaults['code_after_content'],
		'type'    => 'option',
	) );
	$wp_customize->add_control( 'root_options[code_after_content]', array(
		'settings' => 'root_options[code_after_content]',
		'section'  => 'root_code',
		'label'    => __( 'After content', 'root-lite' ),
		'type'     => 'textarea',
	) );

}
add_action( 'customize_register', 'root_customize_register' );






/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function root_customize_preview_js() {
    wp_enqueue_script( 'root_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), rand(1,9999), true );
}
add_action( 'customize_preview_init', 'root_customize_preview_js' );


/**
 * @param string               $value
 * @param WP_Customize_Setting $setting
 *
 * @return string
 */
function root_sanitize_choices( $value, $setting ) {
    $choices = $setting->manager->get_control( $setting->id )->choices;
    if ( array_key_exists( $value, $choices ) ) {
        return $value;
    }

    return $setting->default;
}

/**
 * @param string               $value
 * @param WP_Customize_Setting $setting
 *
 * @return string
 */
function root_sanitize_typography_line_height( $value, $setting ) {
    $value = str_replace( ',', '.', $value );
    $value = floatval( $value );
    if ( ! $value ) {
        return $setting->default;
    }
    $value = strval( number_format( $value, 1 ) );

    return $value;
}

/**
 * @param                      $value
 * @param WP_Customize_Setting $setting
 *
 * @return mixed
 */
function root_setting( $value, $setting ) {
    return $value;
}



function root_customizer_body_classes( $classes ) {

    /********************************************************************
     * Sidebar
     */
    $sidebar_class = '';

    // Сайдбар на главной
    if ( root_get_option( 'structure_home_sidebar' ) == 'none' && is_front_page() ) {
        $sidebar_class = 'sidebar-none';
    }
    if ( root_get_option( 'structure_home_sidebar' ) == 'left' && is_front_page() ) {
        $sidebar_class = 'sidebar-left';
    }

    // Сайдбар в архивах
    if ( root_get_option( 'structure_archive_sidebar' ) == 'none' && is_archive() ) {
        $sidebar_class = 'sidebar-none';
    }
    if ( root_get_option( 'structure_archive_sidebar' ) == 'left' && is_archive() ) {
        $sidebar_class = 'sidebar-left';
    }

    // Сайдбар записи
    if ( root_get_option( 'structure_single_sidebar' ) == 'none' && is_single() ) {
        $sidebar_class = 'sidebar-none';
    }
    if ( root_get_option( 'structure_single_sidebar' ) == 'left' && is_single() ) {
        $sidebar_class = 'sidebar-left';
    }

    // Сайдбар страниц
    if ( root_get_option( 'structure_page_sidebar' ) == 'none' && is_page() ) {
        $sidebar_class = 'sidebar-none';
    }
    if ( root_get_option( 'structure_page_sidebar' ) == 'left' && is_page() ) {
        $sidebar_class = 'sidebar-left';
    }

    // настройки для отдельной статьи
    if ( is_single() ) {
        global $post;
        if ( 'checked' == get_post_meta( $post->ID, 'sidebar_hide', true ) ) {
            $sidebar_class = 'sidebar-none';
        }
    }

    $classes[] = $sidebar_class;


    /********************************************************************
     * Skin
     */
    $skin = root_get_option( 'skin' );
    if ( ! empty( $skin ) && $skin != 'no' ) {
        $classes[] = $skin;
    }


    return $classes;
}
add_filter( 'body_class', 'root_customizer_body_classes' );




/**
 * Sanitize int value
 *
 * @param $val
 *
 * @return int
 */
function root_sanitize_integer( $val ) {
    return absint( $val );
}




/**
 * Customizer CSS
 */
// phpcs:ignore WPThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
require get_template_directory() . '/inc/customizer/customizer-css.php';
