<?php
/**
 * ****************************************************************************
 *
 *   DON'T EDIT THIS FILE
 *   After update you will lose all changes. Use child theme
 *
 *   НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ
 *   После обновления Вы потереяете все изменения. Используйте дочернюю тему
 *
 *   https://docs.wpshop.ru/child-themes/
 *
 * *****************************************************************************
 *
 * @package root
 */

if ( apply_filters( 'root_show_post_meta', true ) ) {
    echo '<span class="entry-date"><time itemprop="datePublished" datetime="' . esc_attr( get_the_time( 'Y-m-d' ) ) . '">' . esc_html( get_the_date() ) . '</time></span>';
    echo '<span class="entry-category"><span class="hidden-xs">'. esc_html( apply_filters( 'root_post_meta_author', __( 'Category', 'root-lite' ) ) ) .':</span> ' . root_category() . '</span>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
    echo '<span class="entry-author"><span class="hidden-xs">' . esc_html( apply_filters( 'root_post_meta_author', __( 'Author', 'root-lite' ) ) ) . ':</span> <span itemprop="author">' . esc_html( get_the_author() ) . '</span></span>';
}

if ( apply_filters( 'root_show_social_top', false ) ) {
    echo '<span class="b-share b-share--small">';
    get_template_part( 'template-parts/social', 'buttons' );
    echo '</span>';
}
