<?php
/**
 * ****************************************************************************
 *
 *   НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ
 *
 *   ВНИМАНИЕ!!!!!!!
 *
 *   НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ
 *   ПРИ ОБНОВЛЕНИИ ТЕМЫ - ВЫ ПОТЕРЯЕТЕ ВСЕ ВАШИ ИЗМЕНЕНИЯ
 *   ИСПОЛЬЗУЙТЕ ДОЧЕРНЮЮ ТЕМУ ИЛИ НАСТРОЙКИ ТЕМЫ В АДМИНКЕ
 *
 *   ПОДБРОБНЕЕ:
 *   https://docs.wpshop.ru/child-themes/
 *
 * *****************************************************************************
 *
 * Template part for displaying posts.
 *
 * @package Root
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-card'); ?> itemscope itemtype="http://schema.org/BlogPosting">

    <div class="post-card__image">
        <a href="<?php the_permalink() ?>">
            <?php $thumb = get_the_post_thumbnail($post->ID, RL_PREFIX . 'thumb-wide', array('itemprop'=>'image')); if (!empty($thumb)): ?>
                <?php
                // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                echo $thumb ?>
            <?php endif ?>

                <?php if ( empty($thumb) ) echo '<div class="thumb-wide"></div>'; ?>

                <div class="entry-meta">
                    <?php
                    if ( ! empty( $is_show_category ) ) {
                        // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                        echo '<span class="entry-category">' . root_category( $post->ID, '', true, false ) . '</span>';
                    }
                    ?>
                    <span class="entry-meta__info">
                        <?php if ( ! empty( $is_show_comments ) ) { ?>
                        <span class="entry-meta__comments" title="<?php esc_attr_e( 'Comments', 'root-lite' ) ?>"><span class="fa fa-comment-o"></span> <?php echo esc_html( get_comments_number() ) ?></span>
                        <?php } ?>

                        <?php if ( ! empty( $is_show_views ) ) { ?>
                        <?php if ( function_exists('the_views') ) { ?><span class="entry-meta__views" title="<?php esc_attr_e( 'Views', 'root-lite' ) ?>"><span class="fa fa-eye"></span> <?php the_views() ?></span><?php } ?>
                        <?php } ?>
                    </span>
                </div><!-- .entry-meta -->
        </a>
    </div>


	<header class="entry-header">
		<?php the_title( '<p class="entry-title" itemprop="name"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark" itemprop="url"><span itemprop="headline">', '</span></a><p>' ) ?>
	</header><!-- .entry-header -->

	<div class="post-card__content" itemprop="articleBody">
		<?php the_excerpt() ?>
	</div><!-- .entry-content -->

	<meta itemprop="author" content="<?php the_author() ?>"/>
	<meta itemscope itemprop="mainEntityOfPage" itemType="https://schema.org/WebPage" itemid="<?php the_permalink() ?>"/>
	<meta itemprop="dateModified" content="<?php the_modified_time(get_option( 'date_format' ))?>"/>
	<meta itemprop="datePublished" content="<?php the_time(get_option( 'date_format' )) ?>"/>

</article><!-- #post-## -->
