
	</div><!-- #content -->

    <?php do_action( 'root_after_site_content' ); ?>

    <?php if ( has_nav_menu( 'footer_menu' ) ) {  ?>
	<div class="footer-navigation <?php echo esc_attr( root_navigation_footer_classes() ) ?>">
        <div class="main-navigation-inner <?php esc_attr( root_navigation_footer_inner_classes() ) ?>">
		    <?php wp_nav_menu(array('theme_location' => 'footer_menu', 'menu_id' => 'footer_menu')); ?>
        </div>
	</div>
    <?php } ?>

    <?php do_action( 'root_before_footer' ); ?>

	<footer class="site-footer <?php echo esc_attr( root_site_footer_classes() ) ?>" itemscope itemtype="http://schema.org/WPFooter">
        <div class="site-footer-inner <?php echo esc_attr( root_site_footer_inner_classes() ) ?>">

            <?php if ( ! empty( $is_show_arrow ) ) { ?>
                <button type="button" class="scrolltop js-scrolltop"></button>
            <?php } ?>

            <div class="footer-info">
                <?php
                $footer_copyright = root_get_option( 'footer_copyright' );
                $footer_copyright = str_replace('%year%', date('Y'), $footer_copyright);
                // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                echo $footer_copyright;
                ?>

                <?php
                $footer_text = root_get_option( 'footer_text' );
                // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                if ( ! empty( $footer_text ) ) echo '<div class="footer-text">'. $footer_text .'</div>';
                ?>
            </div><!-- .site-info -->

            <div class="footer-counters">
                <?php
                // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
                echo root_get_option( 'footer_counters' )
                ?>
            </div>

        </div><!-- .site-footer-inner -->
	</footer><!-- .site-footer -->

    <button type="button" class="scrolltop js-scrolltop"></button>

    <?php do_action( 'root_after_footer' ); ?>

</div><!-- #page -->


<?php wp_footer(); ?>
<?php echo root_get_option( 'code_body' ) ?>

</body>
</html>
