<?php

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<?php if ( is_home() && ! is_front_page() ) : ?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
			<?php endif; ?>
            
            <?php while ( have_posts() ) : the_post();

                get_template_part( 'template-parts/posts/content', '' );

            endwhile;
            
            the_posts_pagination(); ?>

        <?php else : ?>

			<?php get_template_part( 'template-parts/posts/content', 'none' ); ?>

		<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
