<?php

get_header(); ?>

    <section id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

        <?php
        if ( have_posts() ) : ?>

            <header class="page-header">
                <h1 class="page-title"><?php
                    /* translators: %s: search term */
                    printf( esc_html__( 'Search Results for: %s', 'root-lite' ), '<span>' . get_search_query() . '</span>' );
                    ?></h1>
            </header><!-- .page-header -->

            <div class="page-separator"></div>

            <?php
            get_template_part('template-parts/layout/archive', root_get_option( 'structure_archive_posts' ));

            the_posts_pagination();

        else :

            get_template_part( 'template-parts/content', 'none' );

        endif; ?>

        </main><!-- #main -->
    </section><!-- #primary -->

<?php
get_sidebar();
get_footer();
